- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnRenderPass Class Reference

# OpenMayaRender - API module for rendering | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for render passes.

Provide functionalities for working with render passes such as retrieving renderer-specific implementations.

`#include <MFnRenderPass.h>`

Inheritance diagram for MFnRenderPass:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnRenderPass ()
| Destructor.
| MFnRenderPass ()
| Default constructor.
| MFnRenderPass (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MPxRenderPassImpl * | setImplementation (const MString &renderer, MStatus *ReturnStatus=NULL)
| Returns the first render pass implementation compatible with the specified renderer and that supports the currently selected frame buffer data type and the selected number of channels.
MPxRenderPassImpl * | getImplementation () const
| Returns the render pass implementation that was resolved by the previous call to setImplementation.
MPxRenderPassImpl::PassTypeBit | frameBufferType (MStatus *ReturnStatus=NULL) const
| Returns the data type of the frame buffer associated with the render pass.
unsigned int | frameBufferChannels (MStatus *ReturnStatus=NULL) const
| Returns the number of channels of the frame buffer associated with the render pass.
bool | usesFiltering (MStatus *ReturnStatus=NULL) const
| Returns true if frame buffer filtering is requested.
MString | passID (MStatus *ReturnStatus=NULL) const
| Returns the passID string that uniquely identifies the renderpass definition associated with the pass.
MString | customTokenString (MStatus *ReturnStatus=NULL) const
| Returns a custom token string that can be passed to MCommonRenderSettingsData::getImageName() to generate a file name for the pass.
| MFnRenderPass (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name. Search for all occurrences

## Constructor & Destructor Documentation

MFnRenderPass | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnRenderPass | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kRenderPass.

Reimplemented from MFnDependencyNode.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnRenderPass".

Reimplemented from MFnDependencyNode.

MPxRenderPassImpl * setImplementation | ( | const MString & | renderer,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Returns the first render pass implementation compatible with the specified renderer and that supports the currently selected frame buffer data type and the selected number of channels.

This function should be called by the renderer plug-in once for each render pass at the beginning of the rendering process. The result of this query is cached for convenience and may be retrieved at any time without repeating the registry lookup by calling the getImplementation() method

Parameters:

  [in] | renderer | string that identifies the the render and its version. The format of this string is specified by renderer plug-in.
  [out] | ReturnStatus | Status code.

Returns:
  A pointer to the render implementation object.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MPxRenderPassImpl::PassTypeBit frameBufferType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the data type of the frame buffer associated with the render pass.

Parameters:

  [out] | ReturnStatus | Status code.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

unsigned int frameBufferChannels | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the number of channels of the frame buffer associated with the render pass.

Parameters:

  [out] | ReturnStatus | Status code.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

bool usesFiltering | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns true if frame buffer filtering is requested.

This setting may be ignored in the cases of frame buffer types and frame buffer semantics that do not allow interpolation.

Parameters:

  [out] | ReturnStatus | Status code.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MString passID | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the passID string that uniquely identifies the renderpass definition associated with the pass.

Parameters:

  [out] | ReturnStatus | Status code.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MString customTokenString | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns a custom token string that can be passed to MCommonRenderSettingsData::getImageName() to generate a file name for the pass.

Parameters:

  [out] | ReturnStatus | Status code.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass
MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass MFnRenderPass